## xorg 7.7%2b23ubuntu1

=== debian/changelog ===
xorg (1:7.7+23ubuntu1) jammy; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Oct 2021 12:32:30 +0300

xorg (1:7.7+23) unstable; urgency=medium

  [ Timo Aaltonen ]
  * Xsession: Use mktemp instead of tempfile. (Closes: #992385)
  * control: Drop dependency on dummy package libgl1-mesa-glx. (Closes:
    #930609)
  * 90x11-common_ssh-agent: Clean up. (Closes: #861071)

  [ Jochen Sprickerhof ]
  * Replace 'which' by 'command -v'.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Aug 2021 14:00:51 +0300

xorg (1:7.7+22ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:27:07 +0200

xorg (1:7.7+22ubuntu1) hirsute; urgency=medium

  * Merge from Debian.
  * control: Drop obsolete Breaks/Replaces.
  * xserver-xorg.links: Update and drop obsolete entries.
  * x11-common.preinst: Dropped, obsolete.
  * x11-common.maintscript: Dropped, obsolete.
  * control: Drop geode from -video-all suggests, obsolete.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Feb 2021 11:12:34 +0200

xorg (1:7.7+22) unstable; urgency=medium

  [ Josh Triplett ]
  * Fix support for /etc/X11/Xsession.options.d directory

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 15 Feb 2021 11:58:45 +0200

xorg (1:7.7+21) unstable; urgency=medium

  [ Josh Triplett ]
  * Support /etc/X11/Xsession.options.d/*.conf in addition to
    Xsession.options, allowing sysadmins to drop configuration snippets there
    rather than editing /etc/X11/Xsession.options.

  [ Ben Hutchings ]
  * x11-common: Stop passing unsupported parameters to update-rc.d
    (Closes: #785076)

  [ Timo Aaltonen ]
  * control: Use debhelper-compat, bump to 12.
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 09 Oct 2020 11:21:52 +0300

xorg (1:7.7+20) unstable; urgency=medium

  [ Julien Cristau ]
  * Update docs for alioth→salsa move.

  [ Sven Joachim ]
  * Let xorg-dev depend on x11proto-dev rather than on the transional
    x11-proto-*-dev packages (Closes: #906537).

  [ Timo Aaltonen ]
  * x11-common.dirs: Add etc/X11/xorg.conf.d for config snippets.

  [ Iain Lane ]
  * 20x11-common_process-args: Find the first word of our startup program for
    $STARTUP. It's valid for this to be a full invocation, with arguments, but
    for our purposes we only care what the executable was. (Closes: #694832)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 27 Oct 2019 11:03:47 +0200

xorg (1:7.7+19) unstable; urgency=high

  * Team upload.
  * xserver-xorg now Recommends xserver-xorg-legacy, we'd have liked to avoid
    installing the setuid Xorg wrapper by default in stretch, but this seems
    to break too much still (closes: #861683).

 -- Julien Cristau <jcristau@debian.org>  Wed, 03 May 2017 11:38:16 +0200

xorg (1:7.7+18) unstable; urgency=medium

  * Call db_purge without arguments in postinst to fix error uncovered by
    adding "set -e" in 1:7.7+17 (closes: #845398).  Thanks, Samuel Thibault
    and Tianon Gravi!

 -- Julien Cristau <jcristau@debian.org>  Wed, 23 Nov 2016 08:50:50 +0100

xorg (1:7.7+17) unstable; urgency=medium

  [ Andreas Boll ]
  * control: Drop -freedreno from -video-all, the default 2D-driver will
    be -modesetting.

  [ Emilio Pozuelo Monfort ]
  * debian/x11-common.postinst: call `set -e'.
  * Bump Standards-Version to 3.9.8. No changes.
  * Bump debhelper compat to 10. Drop --parallel flag, enabled by default.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 23 Nov 2016 00:02:26 +0100

xorg (1:7.7+16) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Drop -evdev and -synaptics from x-x-input-all Depends for
    linux.

  [ Julien Cristau ]
  * Drop xserver-xorg-input-void from s390x.  The server can come up with no
    input devices nowadays, -input-void isn't necessary.

  [ Cyril Brulebois ]
  * Drop xserver-xorg-input-vmmouse from xserver-xorg-input-all Depends,
    since the kernel driver for the VMware mouse device is incompatible
    with Xorg's vmmouse driver but works with the generic evdev and
    libinput drivers. Closes: #831286

 -- Cyril Brulebois <kibi@debian.org>  Thu, 14 Jul 2016 15:32:12 +0200

xorg (1:7.7+15) unstable; urgency=medium

  * Make x-x-input-all depend on x-x-input-libinput. Closes: #821760.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 23 Apr 2016 12:09:18 +0200

xorg (1:7.7+14) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Demote -intel to -video-all Recommends, allowing to uninstall
    it if necessary.

  [ Andreas Boll ]
  * Add xserver-xorg-video-freedreno to -video-all on arm64.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Mar 2016 15:07:40 +0200
