## xorg 7.7+1ubuntu6

=== debian/control ===
--- 
+++ 
@@ -33,8 +33,8 @@
 Package: xserver-xorg
 Architecture: any
 Depends:
- xserver-xorg-core (>= 2:1.11),
- xserver-xorg-video-all | xorg-driver-video,
+ xserver-xorg-core (>= 2:1.11) | xserver-xorg-core-omap-revert [armhf],
+ xserver-xorg-video-all  | xserver-xorg-video-omap-revert [armhf] | xorg-driver-video,
  xserver-xorg-input-all | xorg-driver-input,
  xserver-xorg-input-evdev [linux-any],
  hal (>= 0.5.14-4~) [kfreebsd-any],
