## xorg 7.7+1ubuntu8

=== debian/control ===
--- 
+++ 
@@ -79,9 +79,9 @@
 Architecture: any
 Depends:
  xserver-xorg (>= ${binary:Version}),
- libgl1-mesa-glx | libgl1,
- libgl1-mesa-dri,
- libglu1-mesa,
+ libgl1-mesa-glx | libgl1 [!armhf],
+ libgl1-mesa-dri [!armhf],
+ libglu1-mesa [!armhf],
  xfonts-base (>= 1:1.0.0-1),
  x11-apps,
  x11-session-utils,
