=== debian/changelog ===
xorg (1:7.7+1ubuntu8.1) trusty-proposed; urgency=medium

  * Fixup the xorg packages to work correctly with the renamed lts stack.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Thu, 09 Oct 2014 11:55:01 +0200
