## xorg 7.7+7

=== debian/control ===
--- 
+++ 
@@ -32,11 +32,10 @@
 Package: xserver-xorg
 Architecture: any
 Depends:
- xserver-xorg-core (>= 2:1.11),
+ xserver-xorg-core (>= 2:1.15.0.901),
  xserver-xorg-video-all | xorg-driver-video,
  xserver-xorg-input-all | xorg-driver-input,
  xserver-xorg-input-evdev [linux-any],
- hal (>= 0.5.14-4~) [kfreebsd-any],
  ${shlibs:Depends},
  ${misc:Depends},
  xkb-data (>= 1.4),
@@ -88,7 +87,6 @@
  x11-apps,
  x11-session-utils,
  x11-utils,
- x11-xfs-utils,
  x11-xkb-utils,
  x11-xserver-utils,
  xauth,
@@ -99,7 +97,9 @@
  xterm | x-terminal-emulator,
  ${misc:Depends},
 Provides: x-window-system, x-window-system-core
-Suggests: xorg-docs
+Suggests:
+ xorg-docs,
+ x11-xfs-utils,
 Description: X.Org X Window System
  This metapackage provides the components for a standalone
  workstation running the X Window System.  It provides the X libraries, an X
@@ -190,12 +190,13 @@
  x11-apps,
  x11-session-utils,
  x11-utils,
- x11-xfs-utils,
  x11-xkb-utils,
  x11-xserver-utils,
  xauth,
  xinit,
  ${misc:Depends},
+Suggests:
+ x11-xfs-utils,
 Description: miscellaneous X clients - metapackage
  An X client is a program that interfaces with an X server (almost always via
  the X libraries), and thus with some input and output hardware like a
@@ -212,12 +213,13 @@
 Section: x11
 Architecture: all
 Depends:
- x11-xfs-utils,
  x11-utils,
  x11-xserver-utils,
  x11-session-utils,
  xfonts-utils,
  ${misc:Depends},
+Suggests:
+ x11-xfs-utils,
 Description: X Window System utility programs metapackage
  xutils provides a set of utility programs shipped with the X Window System.
  Many of these programs are useful even on a system that does not have any X
