## xorg 7.7+13ubuntu3

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: xorg
 Section: x11
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
-Uploaders: Drew Parsons <dparsons@debian.org>, Cyril Brulebois <kibi@debian.org>
-Standards-Version: 3.9.2
+Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Standards-Version: 3.9.6
 Build-Depends:
  dpkg (>= 1.16.1),
- debhelper (>= 7),
+ debhelper (>= 9),
  po-debconf,
 # xsf-docs:
  asciidoc,
-Vcs-Git: git://git.debian.org/git/pkg-xorg/debian/xorg
-Vcs-Browser: http://git.debian.org/?p=pkg-xorg/debian/xorg.git
+ inkscape,
+Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/debian/xorg.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/debian/xorg.git
+Homepage: http://www.x.org/
 
 Package: x11-common
 Architecture: all
@@ -32,16 +34,16 @@
 Package: xserver-xorg
 Architecture: any
 Depends:
- xserver-xorg-core (>= 2:1.15.0.901),
- xserver-xorg-video-all | xorg-driver-video,
+ xserver-xorg-core (>= 2:1.17.2-2),
+ xserver-xorg-legacy [!linux-any],
  xserver-xorg-input-all | xorg-driver-input,
- xserver-xorg-input-evdev [linux-any],
  ${shlibs:Depends},
  ${misc:Depends},
  xkb-data (>= 1.4),
  x11-xkb-utils
 Recommends:
  libgl1-mesa-dri,
+ xserver-xorg-video-all | xorg-driver-video,
 Provides: xserver
 Description: X.Org X server
  This package depends on the full suite of the server and drivers for the
@@ -50,10 +52,20 @@
 Package: xserver-xorg-video-all
 Architecture: any
 Depends:
- ${F:XServer-Xorg-Video-Depends},
- ${misc:Depends},
-Recommends:
- ${F:XServer-Xorg-Video-Recommends},
+ xserver-xorg-video-amdgpu [!hurd-any !kfreebsd-any !s390x],
+ xserver-xorg-video-ati [!hurd-any !s390x],
+ xserver-xorg-video-fbdev [!s390x],
+# xserver-xorg-video-freedreno [armel armhf],
+ xserver-xorg-video-dummy [s390x],
+ xserver-xorg-video-nouveau [amd64 arm64 armhf i386 powerpc x32],
+ xserver-xorg-video-vesa [!s390x],
+ xserver-xorg-video-vmware [amd64 hurd-i386 i386 x32],
+ ${misc:Depends},
+Recommends:
+ xserver-xorg-video-intel [amd64 i386 kfreebsd-any x32],
+ xserver-xorg-video-qxl [amd64 i386 x32],
+Suggests:
+ xserver-xorg-video-geode [i386],
 Replaces: xserver-xorg-driver-all
 Conflicts: xserver-xorg-driver-all
 Description: X.Org X server -- output driver metapackage
@@ -64,10 +76,15 @@
 Package: xserver-xorg-input-all
 Architecture: any
 Depends:
- ${F:XServer-Xorg-Input-Depends},
- ${misc:Depends},
-Recommends:
- ${F:XServer-Xorg-Input-Recommends},
+ xserver-xorg-input-evdev [linux-any],
+ xserver-xorg-input-kbd [!linux-any],
+ xserver-xorg-input-mouse [!linux-any],
+ xserver-xorg-input-synaptics [!s390x],
+ xserver-xorg-input-vmmouse [amd64 i386 x32],
+# xserver-xorg-input-void [s390x],
+ xserver-xorg-input-wacom [!hurd-any !kfreebsd-any !s390x],
+ ${misc:Depends},
+Recommends:
 Description: X.Org X server -- input driver metapackage
  This package depends on the full suite of input drivers for the X.Org X server
  (Xorg).  It does not provide any drivers itself, and may be removed if you wish
@@ -77,13 +94,10 @@
 Architecture: any
 Depends:
  xserver-xorg (>= ${binary:Version}),
- libgl1-mesa-glx | libgl1,
- libgl1-mesa-dri,
- libglu1-mesa,
+ libgl1-mesa-glx | libgl1 [!armhf],
+ libgl1-mesa-dri [!armhf],
+ libglu1-mesa [!armhf],
  xfonts-base (>= 1:1.0.0-1),
- xfonts-100dpi (>= 1:1.0.0-1),
- xfonts-75dpi (>= 1:1.0.0-1),
- xfonts-scalable (>= 1:1.0.0-1),
  x11-apps,
  x11-session-utils,
  x11-utils,
@@ -96,9 +110,14 @@
  xorg-docs-core,
  xterm | x-terminal-emulator,
  ${misc:Depends},
+ xinput,
+Recommends:
+ xfonts-scalable (>= 1:1.0.0-1),
 Provides: x-window-system, x-window-system-core
 Suggests:
  xorg-docs,
+ xfonts-100dpi (>= 1:1.0.0-1),
+ xfonts-75dpi (>= 1:1.0.0-1),
  x11-xfs-utils,
 Description: X.Org X Window System
  This metapackage provides the components for a standalone
