=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # xsf-docs:
  asciidoc,
  inkscape,
-Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/debian/xorg.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/debian/xorg.git -b ubuntu-xenial
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/debian/xorg.git
 Homepage: http://www.x.org/
 
@@ -19,6 +19,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, lsb-base (>= 1.3-9ubuntu2)
+Breaks: nux-tools (<< 4.0.8+16.04.20180613.1-0ubuntu1)
 Description: X Window System (X.Org) infrastructure
  x11-common contains the filesystem infrastructure required for further
  installation of the X Window System in any configuration; it does not
